Package org.springframework.security.config.http

# Class FilterInvocationSecurityMetadataSourceParser

java.lang.Object
org.springframework.security.config.http.FilterInvocationSecurityMetadataSourceParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

@Deprecated public class FilterInvocationSecurityMetadataSourceParser extends Object implements org.springframework.beans.factory.xml.BeanDefinitionParser
Deprecated.
Use `use-authorization-manager` property instead
Allows for convenient creation of a `FilterInvocationSecurityMetadataSource` bean for use with a FilterSecurityInterceptor.

## Constructor Summary

Constructors
Constructor
Description
`FilterInvocationSecurityMetadataSourceParser()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.config.BeanDefinition`
`parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterInvocationSecurityMetadataSourceParser

public FilterInvocationSecurityMetadataSourceParser()
Deprecated.

## Method Details

### parse

public org.springframework.beans.factory.config.BeanDefinition parse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)
Deprecated.

Specified by:
  `parse` in interface `org.springframework.beans.factory.xml.BeanDefinitionParser`